All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::device_specific::tree_parsing::filter Class Reference

`#include <tree_parsing.hpp>`

Inheritance diagram for viennacl::device_specific::tree_parsing::filter:

## Public Types

typedef bool(* | pred_t )(scheduler::statement_node const &node)

## Public Member Functions

| filter (pred_t pred, std::vector< vcl_size_t > &out)
void | operator() (scheduler::statement const &statement, vcl_size_t root_idx, leaf_t) const
Public Member Functions inherited from viennacl::device_specific::tree_parsing::traversal_functor
void | call_before_expansion (scheduler::statement const &, vcl_size_t) const
void | call_after_expansion (scheduler::statement const &, vcl_size_t) const

## Detailed Description

Definition at line 84 of file tree_parsing.hpp.

## Member Typedef Documentation

typedef bool(* viennacl::device_specific::tree_parsing::filter::pred_t)(scheduler::statement_node const &node)

Definition at line 87 of file tree_parsing.hpp.

## Constructor & Destructor Documentation

viennacl::device_specific::tree_parsing::filter::filter | ( | pred_t | pred,
|  | std::vector< vcl_size_t > & | out
| ) |  |

inline

Definition at line 89 of file tree_parsing.hpp.

## Member Function Documentation

void viennacl::device_specific::tree_parsing::filter::operator() | ( | scheduler::statement const & | statement,
|  | vcl_size_t | root_idx,
|  | leaf_t |
| ) |  | const

inline

Definition at line 91 of file tree_parsing.hpp.

The documentation for this class was generated from the following file:

- viennacl/device_specific/tree_parsing.hpp